%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9
%global py_minor 16

%global python_major python%{py_major}

%global pkgname markupsafe

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")
%global python3_sitearch64 %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")

Name:           %{python_major}-%{pkgname}
Version:        2.1.2
Release:        1
Summary:        Implements a XML/HTML/XHTML Markup safe string for Python
License:        BSD
URL:            https://github.com/mitsuhiko/markupsafe
Source0:        MarkupSafe-%{version}.tar.gz
Group: 		Development/Libraries
Vendor: 	Armin Ronacher <armin.ronacher@active-4.com>
Prefix: 	%{_prefix}

BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0

Requires:       %{python_major} >= %{py_major}.%{py_minor}


%description
Implements a unicode subclass that supports HTML strings.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.

%prep
%autosetup -n MarkupSafe-%{version}

%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root  ${RPM_BUILD_ROOT}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc LICENSE.rst README.rst PKG-INFO
%{python3_sitearch64}/*

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Fri Jul 21 2023 Reshma V Kumar <reskumar@in.ibm.com> - 2.1.2-1
- Update to latest version

* Wed Feb 15 2023 Ranjit Ranjan <ranjit.ranjan@ibm.com> - 1.1.1-2
- markupsafe build for python3.9

* Fri Nov 22 2019 Harshita Jain <harjain9@in.ibm.com> - 1.1.1-1
- Update the latest version
- Build with python3


* Tue May 9 2017 Ravi Hirekurabar <rhirekur@in.ibm.com> - 1.0-1
- first version for AIX V6.1 and higher

